## bittorrent 3.4.2

=== debian/changelog ===
bittorrent (3.4.2-12) unstable; urgency=medium

  * QA upload.
  * Orphan the package, see #810612.
  * Split out a python-bittorrent package.
  * debian/patches/fix-readme-file.patch: add:
    + Remove instructions which only concern Windows systems.
    + Remove references to files which aren't in the package, and
      adjust executable names (./whatever.py -> whatever).
    + Fix two example commands which had incorrect arguments.
  * debian/patches/btshow-meta-info.patch: add:
    + Now bittorrent checks file type before trying to extract any information.
  * debian/patches/btmakemetafile.patch: add:
    + Set piece_len_exp to 18 if no exp defined.
  * Move to short dh syntax and debhelper compat 9.  Also use pybuild.
  * Run wrap-and-sort.
  * debian/control:
    + Merge Build-Depends-Indep into Build-Depends.
    + Bump Standards-Versions to 3.9.6, no further changes needed.
    + Remove the homepage, the original project is not really active anymore.
    + Build-Depend on python instead of python-all-dev.
    + Use source:Version instead of Source-Version substvar.
    + Add Vcs-* fields, pointing to a collab-maint repo
  * Remove useless maintainer scripts.
  * Remove useless debian/pyversions file.
  * Fix some spelling-error-in-manpage in bittorrent-downloader.bittorrent.1.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 10 Jan 2016 17:10:40 +0000

bittorrent (3.4.2-11.7) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to dh_python2. (Closes: #785966)
  * debian/control: Add missing ${misc:Depends}.

 -- Martin Pitt <mpitt@debian.org>  Tue, 18 Aug 2015 14:31:30 +0200

bittorrent (3.4.2-11.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to source format "3.0 (quilt)".
  * Update to use python-wxgtk3.0.  (Closes: #757431)
  * Apply patch from Ben Finney to update Python code to not throw string
    exceptions, which are no longer supported.  (Closes: #585222)
  * Install bittorrent.ico and fix paths in scripts so it gets used.
    (Closes: #733447)
  * Fix 'Torent' typo in short description.  (Closes: #424856, #673131)
  * debian/control: Update to use 'Homepage:'.  (Closes: #615435, #615465)
  * debian/bittorrent.docs: Apply patch from Benjamin Kerensa to replace
    unsupported shell brace expansion.  (Closes: #688620)

 -- Olly Betts <olly@survex.com>  Fri, 15 Aug 2014 12:10:28 +1200

bittorrent (3.4.2-11.5) unstable; urgency=low

  * Non-maintainer upload.
  * Drop useless dh_python call (Closes: #715296).
  * Drop useless XB-Python-Version fields.
  * Drop useless pycompat file.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 14 Jul 2013 02:30:02 +0200

bittorrent (3.4.2-11.4) unstable; urgency=low

  * Non-maintainer upload.
  * Update to depend on python-wxgtk2.8 rather than python-wxgtk2.6 - should
    be a low risk change, as with default alternatives 2.8 will already get
    used if installed, and 2.8 has twice as many installs according to popcon.
    (Closes: #645618)

 -- Olly Betts <olly@survex.com>  Thu, 24 Nov 2011 04:45:41 +0000

bittorrent (3.4.2-11.3) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on python-all-dev (>= 2.5.4) for python.mk use.

 -- Kumar Appaiah <akumar@debian.org>  Mon, 19 Oct 2009 16:57:22 -0500

bittorrent (3.4.2-11.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "manipulates site-packages/ directly, failing with Python 2.6"
    Applied and uploaded Kumar's patch, thanks dude! (Closes: #547811)

 -- Bastian Venthur <venthur@debian.org>  Sat, 17 Oct 2009 16:03:21 +0200

bittorrent (3.4.2-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix bashism in debian/rules. Closes: #477252.

 -- Peter Eisentraut <petere@debian.org>  Sun, 25 May 2008 03:52:26 +0200

bittorrent (3.4.2-11) unstable; urgency=low

  * Add LSB logging functionality. (thanks David!) Closes: #384724
  * Clarify short desciptions of packages. Closes: #418964.
  * Moved initscript into examples directory, as it was largely
    unused. Closes: #423901.
  * Example initscript now honors START_BTTRACK. Closes: 369831.

 -- Michael Janssen <jamuraa@debian.org>  Tue, 15 May 2007 19:25:40 -0500

bittorrent (3.4.2-10) unstable; urgency=low

  * Remove dependency on obselete python-wxgtk2.4.

 -- Michael Janssen <jamuraa@debian.org>  Wed, 18 Oct 2006 08:57:07 -0500

bittorrent (3.4.2-9) unstable; urgency=low

  * Acknowledge NMU. Closes: #383744
  * Remove nowxmsg code from btdownloadgui, since btdownloadgui depends
    on python-wxgtk2.6 now, we don't need to detect it.
    Closes: #393428
  * Remove wxWidgets detection code from btdownloadgui, we depend on it
    so don't need to detect it anymore. Closes: #393431
  * Fix distutils shebang lines so that we don't depend on python2.3.
    Closes: #387022
  * Add /var/log/bittorrent for the default log location when running
    tracker from initscript. Closes: #383510
  * Add some helpful remarks in /etc/default/bittorrent.

 -- Michael Janssen <jamuraa@debian.org>  Wed, 18 Oct 2006 08:44:08 -0500

bittorrent (3.4.2-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Applied a patch from Michael Vogt to make it work with python2.4
    (HTTPHandler.http_open() return changed) pulled from 3.4.2-3ubuntu2.
    Closes: #383744

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Tue, 29 Aug 2006 16:43:05 +0200

bittorrent (3.4.2-8) unstable; urgency=low

  * Make BitTorrent modules accessible. Closes: #381586

 -- Michael Janssen <jamuraa@debian.org>  Sat,  5 Aug 2006 21:00:57 -0500

bittorrent (3.4.2-7) unstable; urgency=low

  * Output a period if we try to stop the tracker when it's not running.
    Closes: #345902
  * Fix logging in tracker init script to actually log.
    Closes: #369820
  * Install the init script at the defaults, since we disable the daemon
    in /etc/default/bittorrent now.
  * Add LSB comments to the top of the init script.
    Closes: #376944
  * Add some code to fix the "GUI doesn't update" bug.
    Closes: #212809

