=== debian/control ===
Source: bittorrent
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python,
               sharutils
X-Python-Version: >= 2.3
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/bittorrent.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/bittorrent.git

Package: bittorrent
Architecture: all
Depends: lsb-base (>= 3.0-10),
         python-bittorrent (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Suggests: bittorrent-gui
Recommends: mime-support
Description: Original BitTorrent client - console tools
 BitTorrent is a tool for distributing files. It's extremely
 easy to use - downloads are started by clicking on hyperlinks.
 Whenever more than one person is downloading at once
 they send pieces of the file(s) to each other, thus relieving
 the central server's bandwidth burden. Even with many
 simultaneous downloads, the upload burden on the central server
 remains quite small, since each new downloader introduces new
 upload capacity.
 .
 This package contains the tools which are used for console-only
 downloading.  If you want the GUI interface, install the
 bittorrent-gui package.

Package: bittorrent-gui
Architecture: all
Depends: bittorrent (>= 3.4.2-1),
         python-wxgtk3.0,
         ${misc:Depends},
         ${python:Depends}
Description: Original BitTorrent client - GUI tools
 BitTorrent is a tool for distributing files. It's extremely
 easy to use - downloads are started by clicking on hyperlinks.
 Whenever more than one person is downloading at once
 they send pieces of the file(s) to each other, thus relieving
 the central server's bandwidth burden. Even with many
 simultaneous downloads, the upload burden on the central server
 remains quite small, since each new downloader introduces new
 upload capacity.
 .
 This package contains the GUI tools for downloading.

Package: python-bittorrent
Section: python
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Replaces: bittorrent (<< 3.4.2-12)
Provides: ${python:Provides}
Description: Scatter-gather network file transfer
 BitTorrent is a tool for distributing files. It's extremely
 easy to use - downloads are started by clicking on hyperlinks.
 Whenever more than one person is downloading at once
 they send pieces of the file(s) to each other, thus relieving
 the central server's bandwidth burden. Even with many
 simultaneous downloads, the upload burden on the central server
 remains quite small, since each new downloader introduces new
 upload capacity.
 .
 This package contains the Python modules.
